Bug 1151645 - Crash on pause or stop
Summary: Crash on pause or stop
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: guayadeque
Version: 21
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: MartinKG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-10 21:53 UTC by Mark van Rossum
Modified: 2015-01-17 23:55 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-20 18:43:03 UTC


Attachments (Terms of Use)

Description Mark van Rossum 2014-10-10 21:53:37 UTC
Description of problem:
IN Fc21alpha  the  guayadeque  music player crashes whenever I stop or pause the playing of a flac or mp3 file.
I did not test other fileformats.

It worked in FC20.

guayadeque-0.3.7-4.svn1893.fc21.x86_64

Unfortunately, the automatic reported does not work....

--- Running report_uReport ---
Server responded with an error: 'Validation failed: Element 'stacktrace' is invalid: List element is invalid: Element 'frames' is invalid: List element is invalid: Element 'file_name' is missing'
reporter-ureport failed with exit code 1
('report_uReport' exited with 1)

Comment 1 MartinKG 2014-10-21 11:07:37 UTC
problem can be reproduced.
tried to contact the developer, but no response.

with valgrind a debuging tool, the segmentation fault no longer occurs.

valgrind --leak-check=full -v guayadeque
or
valgrind --leak-check=full --track-origins=yes --log-file=valgrind.log -v guayadeque

Comment 2 Mark van Rossum 2014-10-21 13:32:41 UTC
Few notes: 

Has also been reported (but not fixed) at
http://guayadeque.org/index.php?p=/discussion/1822/guayadeque-stops-after-every-track


Is it possible to revert to previous build?

Comment 3 MartinKG 2014-10-22 08:06:43 UTC
(In reply to Mark van Rossum from comment #2)
> Few notes: 
> 
> Has also been reported (but not fixed) at
> http://guayadeque.org/index.php?p=/discussion/1822/guayadeque-stops-after-
> every-track

indeed the svn release guayadeque-0.3.6-19.svn1890.fc21 works, you can
download it from: http://koji.fedoraproject.org/koji/buildinfo?buildID=492088

> 
> Is it possible to revert to previous build?
must clarify

Comment 4 Fedora Update System 2014-10-22 20:02:49 UTC
guayadeque-0.3.6-0.20.svn1890.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/guayadeque-0.3.6-0.20.svn1890.fc21

Comment 5 Fedora Update System 2014-10-23 16:21:12 UTC
Package guayadeque-0.3.6-0.20.svn1890.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing guayadeque-0.3.6-0.20.svn1890.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-13529/guayadeque-0.3.6-0.20.svn1890.fc21
then log in and leave karma (feedback).

Comment 6 Mark van Rossum 2014-10-27 08:44:35 UTC
At first this version seemed ok, but now the crash is back.

To check  a problem with configration files, I deleted ~/.guayadeque, 
but crash remained.

Comment 7 Mark van Rossum 2014-10-27 08:48:40 UTC
guayadeque-0.3.6-19.svn1890.fc21.x86_64.rpm
  is ok.

But the current version on the repositories is not.
guayadeque-0.3.6-0.20.svn1890.fc21.x86_64.rpm

Comment 8 MartinKG 2014-10-27 15:49:08 UTC
i can reproduce the problem on F21.

I found out: when I install the binary (compiled on F20 guayadeque 0.3.6-19.svn1890) on F21 it works, when compiling the package on F21 and install 
it on F21 it doesn't work.

Comment 9 MartinKG 2014-10-29 08:00:56 UTC
i figured out, that the recent version (svn1893), compiled on F20
guayadeque-0.3.7-2.svn1893.fc20.x86_64.rpm and installed on F21, works.

Comment 10 MartinKG 2014-12-20 18:43:03 UTC
guayadeque's upstream is working on a Qt
port of the music player, and does not intend to support
the old, wxWidgets-based releases.

Workaround: install fc20 binary on fc21.

Comment 11 Fedora Update System 2015-01-07 11:50:58 UTC
guayadeque-0.3.7-5.svn1893.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/guayadeque-0.3.7-5.svn1893.fc21

Comment 12 Fedora Update System 2015-01-07 11:51:05 UTC
guayadeque-0.3.7-5.svn1893.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/guayadeque-0.3.7-5.svn1893.fc20

Comment 13 Fedora Update System 2015-01-09 12:32:31 UTC
guayadeque-0.3.7-6.svn1893.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/guayadeque-0.3.7-6.svn1893.fc21

Comment 14 Fedora Update System 2015-01-17 05:38:05 UTC
guayadeque-0.3.7-5.svn1893.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-01-17 23:55:55 UTC
guayadeque-0.3.7-6.svn1893.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.